TradeCapture (3.14.0 600 API)
Date: 2025-11-24

com.marketfactory.api

## Class TradeCapture

- java.lang.Object
- - com.marketfactory.api.TradeCapture

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<TradeCapture>

      public final class TradeCapture
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<TradeCapture>, java.io.Serializable

  Trading Event: A trade match for an existing order.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFFloat` | `amount` A currency amount/size, in MFFloat format.
    `java.lang.String` | `clOrdID` Client-provided order ID.
    `java.lang.String` | `counterPartyID` Exchange-provided info that identifies this capture.
    `java.lang.String` | `exOrdID` An exchange-assigned order ID.
    `java.lang.String` | `exPendingID` A unique ID for a pending trade execution (has yet to be confirmed).
    `java.lang.String` | `exTradeID` A unique for a completed trade.
    `int` | `feedID` A unique identifier for the feed.
    `boolean` | `isTaker` This field lets you know whether the other side was an aggressor.
    `int` | `marketID` A market ID, which identifies a unique financial instrument.
    `MatchStatus` | `matchStatus` The status of this capture: pending, confirmed, or done.
    `java.lang.String` | `modelID` Passed back if supplied in submitOrder (used for risk management).
    `long` | `orderID` Internal order ID.
    `int` | `origFeedID` The original feedID if this message comes from MarketFactory drop copy feed.
    `MFFloat` | `price` A currency price, in MFFloat format.
    `int` | `sequenceID` User sequence id.
    `long` | `settlDate` Exchange-provided info that identifies this capture.
    `Side` | `side` The side of the original order.
    `long` | `timeApiClient` Timestamp at the client API (taken on the client host).
    `long` | `timeApiServer` Timestamp in the client handler within Whisperer.
    `long` | `timeExchange` Timestamp provided by the exchange.
    `long` | `timeHandler` Timestamp exiting the feed handler within Whisperer.
    `long` | `tradeDate` Exchange-provided info that identifies this capture.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `TradeCapture()`
    `` | `TradeCapture(int sequenceID, long orderID, java.lang.String clOrdID, java.lang.String exOrdID, java.lang.String exPendingID, java.lang.String exTradeID, java.lang.String modelID, long timeExchange, long timeHandler, long timeApiServer, long timeApiClient, int feedID, int origFeedID, int marketID, Side side, MFFloat amount, MFFloat price, boolean isTaker, MatchStatus matchStatus, java.lang.String counterPartyID, long tradeDate, long settlDate)`
    `protected` | `TradeCapture(ProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(TradeCapture rhs)`
    `void` | `deserialize(ProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sequenceID

          public int sequenceID

      User sequence id.

    - #### orderID

          public long orderID

      Internal order ID.

    - #### clOrdID

          public java.lang.String clOrdID

      Client-provided order ID.

    - #### exOrdID

          public java.lang.String exOrdID

      An exchange-assigned order ID.

    - #### exPendingID

          public java.lang.String exPendingID

      A unique ID for a pending trade execution (has yet to be confirmed). Only provided on some distributed exchanges.

    - #### exTradeID

          public java.lang.String exTradeID

      A unique for a completed trade.

    - #### modelID

          public java.lang.String modelID

      Passed back if supplied in submitOrder (used for risk management).

    - #### timeExchange

          public long timeExchange

      Timestamp provided by the exchange.

    - #### timeHandler

          public long timeHandler

      Timestamp exiting the feed handler within Whisperer.

    - #### timeApiServer

          public long timeApiServer

      Timestamp in the client handler within Whisperer.

    - #### timeApiClient

          public long timeApiClient

      Timestamp at the client API (taken on the client host).

    - #### feedID

          public int feedID

      A unique identifier for the feed.

    - #### origFeedID

          public int origFeedID

      The original feedID if this message comes from MarketFactory drop copy feed.

    - #### marketID

          public int marketID

      A market ID, which identifies a unique financial instrument.

    - #### side

          public Side side

      The side of the original order.

    - #### amount

          public MFFloat amount

      A currency amount/size, in MFFloat format.

    - #### price

          public MFFloat price

      A currency price, in MFFloat format.

    - #### isTaker

          public boolean isTaker

      This field lets you know whether the other side was an aggressor.

    - #### matchStatus

          public MatchStatus matchStatus

      The status of this capture: pending, confirmed, or done.

    - #### counterPartyID

          public java.lang.String counterPartyID

      Exchange-provided info that identifies this capture.

    - #### tradeDate

          public long tradeDate

      Exchange-provided info that identifies this capture.

    - #### settlDate

          public long settlDate

      Exchange-provided info that identifies this capture.

  - ### Constructor Detail

    - #### TradeCapture

          public TradeCapture()

    - #### TradeCapture

          protected TradeCapture(ProtoByteBuffer buffer)

    - #### TradeCapture

          public TradeCapture(int sequenceID,
                              long orderID,
                              java.lang.String clOrdID,
                              java.lang.String exOrdID,
                              java.lang.String exPendingID,
                              java.lang.String exTradeID,
                              java.lang.String modelID,
                              long timeExchange,
                              long timeHandler,
                              long timeApiServer,
                              long timeApiClient,
                              int feedID,
                              int origFeedID,
                              int marketID,
                              Side side,
                              MFFloat amount,
                              MFFloat price,
                              boolean isTaker,
                              MatchStatus matchStatus,
                              java.lang.String counterPartyID,
                              long tradeDate,
                              long settlDate)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TradeCapture rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TradeCapture>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserialize

          public void deserialize(ProtoByteBuffer buffer)

      Specified by:
        `deserialize` in interface `IMessage`

    - #### serialize

          public void serialize(ProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)